﻿using System;
using System.Collections;
using System.Collections.Generic;
using PushPlatform.Data;

namespace PushPlatform.Data
{
    public partial class ProjectInfo : EntityBase
    {
        #region Default Constructor
        /// <summary>
        /// Initializes a new instance of the <see cref="Account"/> class.
        /// </summary>
        public ProjectInfo()
        {
            Initialize();
        }
        
        public ProjectInfo(ProjectInfo model)
        {
            Initialize();
            this.Id=model.Id;
            this.ProjectName=model.ProjectName;
            this.ProjectType=model.ProjectType;
            this.InternalPrincipal=model.InternalPrincipal;
            this.InternalPrincipalMobile=model.InternalPrincipalMobile;
            this.Db_ConnectId=model.Db_ConnectId;
            this.Object_Sql=model.Object_Sql;
            this.Child_ProjectInfo=model.Child_ProjectInfo;
            this.User_Sql=model.User_Sql;
            this.Create_User=model.Create_User;
            this.Create_Time=model.Create_Time;
            this.Update_User=model.Update_User;
            this.Update_Time=model.Update_Time;
            this.Is_Deleted=model.Is_Deleted;
            this.Timestamp=model.Timestamp;
        }

        protected override void Initialize()
        {
            OnCreated();
        }
        
        #endregion
        
        #region Column Mapped Properties
        
        
        private System.String _identification;
        
        public virtual System.String Id
        {
            get { return _identification; }
            set
            {
                _identification = value;
            }
        }
        
        private System.String _projectName;
        
        public virtual System.String ProjectName
        {
            get { return _projectName; }
            set
            {
                _projectName = value;
            }
        }
        
        private System.Int32 _projectType;
        
        public virtual System.Int32 ProjectType
        {
            get { return _projectType; }
            set
            {
                _projectType = value;
            }
        }
        
        private System.String _internalPrincipal;
        
        public virtual System.String InternalPrincipal
        {
            get { return _internalPrincipal; }
            set
            {
                _internalPrincipal = value;
            }
        }
        
        private System.String _internalPrincipalMobile;
        
        public virtual System.String InternalPrincipalMobile
        {
            get { return _internalPrincipalMobile; }
            set
            {
                _internalPrincipalMobile = value;
            }
        }
        
        private System.String _dbConnectId;
        
        public virtual System.String Db_ConnectId
        {
            get { return _dbConnectId; }
            set
            {
                _dbConnectId = value;
            }
        }
        
        private System.String _objectSql;
        
        public virtual System.String Object_Sql
        {
            get { return _objectSql; }
            set
            {
                _objectSql = value;
            }
        }
        
        private System.String _childProjectInfo;
        
        public virtual System.String Child_ProjectInfo
        {
            get { return _childProjectInfo; }
            set
            {
                _childProjectInfo = value;
            }
        }
        
        private System.String _userSql;
        
        public virtual System.String User_Sql
        {
            get { return _userSql; }
            set
            {
                _userSql = value;
            }
        }
        
        private System.String _createUser;
        
        public virtual System.String Create_User
        {
            get { return _createUser; }
            set
            {
                _createUser = value;
            }
        }
        
        private System.DateTime _createTime;
        
        public virtual System.DateTime Create_Time
        {
            get { return _createTime; }
            set
            {
                _createTime = value;
            }
        }
        
        private System.String _updateUser;
        
        public virtual System.String Update_User
        {
            get { return _updateUser; }
            set
            {
                _updateUser = value;
            }
        }
        
        private System.DateTime? _updateTime;
        
        public virtual System.DateTime? Update_Time
        {
            get { return _updateTime; }
            set
            {
                _updateTime = value;
            }
        }
        
        private System.SByte _isDeleted;
        
        public virtual System.SByte Is_Deleted
        {
            get { return _isDeleted; }
            set
            {
                _isDeleted = value;
            }
        }
        
        private System.Int64 _timestamp;
        
        public virtual System.Int64 Timestamp
        {
            get { return _timestamp; }
            set
            {
                _timestamp = value;
            }
        }
        
        
        
        
        
        
        
        #endregion
        
        #region Associations Mappings
        
        #endregion
        
        #region Extensibility Method
        
        static partial void AddSharedRules();
        
        partial void OnCreated();
        
        
        #endregion
        
        
    }
}

