﻿using System;
using System.Collections;
using System.Collections.Generic;
using PushPlatform.Data;

namespace PushPlatform.Data
{
    public partial class SysMenu : EntityBase
    {
        #region Default Constructor
        /// <summary>
        /// Initializes a new instance of the <see cref="Account"/> class.
        /// </summary>
        public SysMenu()
        {
            Initialize();
        }
        
        public SysMenu(SysMenu model)
        {
            Initialize();
            this.Id=model.Id;
            this.Parent_Id=model.Parent_Id;
            this.Menu_Name=model.Menu_Name;
            this.Menu_Url=model.Menu_Url;
            this.Menu_Sort=model.Menu_Sort;
            this.Create_User=model.Create_User;
            this.Create_Time=model.Create_Time;
            this.Update_User=model.Update_User;
            this.Update_Time=model.Update_Time;
            this.Is_Deleted=model.Is_Deleted;
            this.Timestamp=model.Timestamp;
        }

        protected override void Initialize()
        {
            OnCreated();
        }
        
        #endregion
        
        #region Column Mapped Properties
        
        
        private System.String _identification;
        
        public virtual System.String Id
        {
            get { return _identification; }
            set
            {
                _identification = value;
            }
        }
        
        private System.String _parentId;
        
        public virtual System.String Parent_Id
        {
            get { return _parentId; }
            set
            {
                _parentId = value;
            }
        }
        
        private System.String _menuName;
        
        public virtual System.String Menu_Name
        {
            get { return _menuName; }
            set
            {
                _menuName = value;
            }
        }
        
        private System.String _menuUrl;
        
        public virtual System.String Menu_Url
        {
            get { return _menuUrl; }
            set
            {
                _menuUrl = value;
            }
        }
        
        private System.Int32? _menuSort;
        
        public virtual System.Int32? Menu_Sort
        {
            get { return _menuSort; }
            set
            {
                _menuSort = value;
            }
        }
        
        private System.String _createUser;
        
        public virtual System.String Create_User
        {
            get { return _createUser; }
            set
            {
                _createUser = value;
            }
        }
        
        private System.DateTime _createTime;
        
        public virtual System.DateTime Create_Time
        {
            get { return _createTime; }
            set
            {
                _createTime = value;
            }
        }
        
        private System.String _updateUser;
        
        public virtual System.String Update_User
        {
            get { return _updateUser; }
            set
            {
                _updateUser = value;
            }
        }
        
        private System.DateTime? _updateTime;
        
        public virtual System.DateTime? Update_Time
        {
            get { return _updateTime; }
            set
            {
                _updateTime = value;
            }
        }
        
        private System.SByte _isDeleted;
        
        public virtual System.SByte Is_Deleted
        {
            get { return _isDeleted; }
            set
            {
                _isDeleted = value;
            }
        }
        
        private System.Int64 _timestamp;
        
        public virtual System.Int64 Timestamp
        {
            get { return _timestamp; }
            set
            {
                _timestamp = value;
            }
        }
        
        
        
        
        
        
        
        #endregion
        
        #region Associations Mappings
        
        #endregion
        
        #region Extensibility Method
        
        static partial void AddSharedRules();
        
        partial void OnCreated();
        
        
        #endregion
        
        
    }
}

